//
//  MainTableViewController.m
//  ConnectToMysqlServer
//
//  Created by Marcos on 5/7/13.
//  Copyright (c) 2013 Marcos. All rights reserved.
//

#import "MainTableViewController.h"
//#import "DetailViewController.h"
#import "CJSONDeserializer.h"
#import "VCLogin.h"
#import "AppDelegate.h"

@implementation MainTableViewController


@synthesize rows, searchResults, arrayName, tableview, searchBar;
BOOL filtrado;

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    self.searchBar.delegate=self;
    self.tableview.delegate=self;
    self.tableview.dataSource=self;
    [super viewDidLoad];
    [[self scrollView] setContentSize:[[self view] frame].size];
    
    
    
 	NSURL *url = [NSURL URLWithString:@"http://pruebamarcos.xtrweb.com/ConsultaMysql.php"]; // Modify this to match your url.
 	
    NSString *jsonreturn = [[NSString alloc] initWithContentsOfURL:url]; // Pulls the URL
	NSLog(jsonreturn); // Look at the console and you can see what the restults are
    
 	NSData *jsonData = [jsonreturn dataUsingEncoding:NSUTF32BigEndianStringEncoding];
    NSError *error = nil;
    
 	// In "real" code you should surround this with try and catch
 	NSDictionary * dict = [[CJSONDeserializer deserializer] deserializeAsDictionary:jsonData error:&error];
 	if (dict)
 	{
 		rows = [[dict objectForKey:@"user"] retain];
        
 	}
    
    //rows=[[NSMutableArray alloc] initWithObjects:@"Galicia", @"Asturias", @"Cantabria", @"Pais Vasco", @"Navarra", @"La Rioja", @"Cataluña", @"Castilla y León", @"Madrid", @"Castilla La-Mancha", @"Aragón", @"Valencia", @"Extremadura", @"Murcia", @"Andalucia", @"Canarias", @"Baleares", @"Ceuta", @"Melilla", nil];
    
    //searchResults=rows;
    
    //arrayName=[rows allValues];
    //NSLog(@"estoy aqui y el contenido de arrayName es este: %@",arrayName);
    
    
    
    
}


- (void)viewDidUnload
{
    [super viewDidUnload];
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
    [super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

#pragma mark - Table view data source


#pragma mark - Table view delegate

- (void)searchBar:(UISearchBar *)searchBar textDidChange:(NSString *)searchText
{
    
    if(searchText.length==0){
        filtrado= NO;
    }
    else{
        filtrado= YES;
        
        searchResults=[[NSMutableArray alloc] init];
        NSLog(@"valor de arrayName antes de comparar: %@",arrayName);
        for (NSString *str in arrayName){
            
            NSRange stringRange= [str rangeOfString:searchText options:NSCaseInsensitiveSearch];
            
            if(stringRange.location != NSNotFound ){
                NSLog(@"valor de str: %@",str);
                //searchResults=rows;
                [searchResults addObject:str];
                
                
            }
        }
        
    }
    [self.tableview reloadData];
    
}



-(void)searchBarSearchButtonClicked:(UISearchBar *)searchBar
{
    [self.searchBar resignFirstResponder];
}


- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    //[self performSegueWithIdentifier:@"SegDetalle" sender:self];
    
    {
        NSDictionary *dict = [rows objectAtIndex: indexPath.row];
        NSString *alertString = [NSString stringWithFormat:@"Cod. barras: %@\nUnidades: %@\nPrecio: %@", [dict objectForKey:@"codbarras"], [dict objectForKey:@"unidad"] , [dict objectForKey:@"precio"]];
        UIAlertView *alert = [[UIAlertView alloc] initWithTitle:alertString message:@"" delegate:self cancelButtonTitle:@"Aceptar" otherButtonTitles:nil];
        [alert show];
    }
    
}



- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    
    if (filtrado){
        return [searchResults count];
    }
    return [rows count];
}


 - (UITableViewCell*) tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
     static NSString *CellIdentifier = @"Cell";
    UILabel *detalle2, *detalle3;

    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:CellIdentifier] autorelease];
        
    }

        NSDictionary *dict = [rows objectAtIndex: indexPath.row];
        cell.textLabel.text = [dict objectForKey:@"name"];
        cell.detailTextLabel.text = [dict objectForKey:@"codigo"];
    
    return cell;
}



/* - (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
 {
 static NSString *CellIdentifier = @"Cell";
 
 
 //static NSString *simpleTableIdentifier = @"Cell";
 
 UILabel *titLabel, *descLabel, *descLabel1;
 
 UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
 
 if (cell == nil) {
 cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:CellIdentifier] autorelease];
 
 cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
 
 titLabel = [[[UILabel alloc] initWithFrame:CGRectMake(30.0, 0.0, 220.0, 15.0)] autorelease];
 //titLabel.tag = "nombre";
 titLabel.font = [UIFont systemFontOfSize:14.0];
 titLabel.textAlignment = UITextAlignmentRight;
 titLabel.textColor = [UIColor blackColor];
 titLabel.autoresizingMask = UIViewAutoresizingFlexibleRightMargin | UIViewAutoresizingFlexibleHeight;
 titLabel.numberOfLines = 0;
 [cell.contentView addSubview:titLabel];
 
 descLabel = [[[UILabel alloc] initWithFrame:CGRectMake(30.0, 25.0, 220.0, 15.0)] autorelease];
 //descLabel.tag = "codigo";
 descLabel.font = [UIFont systemFontOfSize:12.0];
 descLabel.textAlignment = UITextAlignmentRight;
 descLabel.textColor = [UIColor darkGrayColor];
 descLabel.autoresizingMask = UIViewAutoresizingFlexibleRightMargin | UIViewAutoresizingFlexibleHeight;
 //descLabel.lineBreakMode = UILineBreakModeWordWrap;
 descLabel.numberOfLines = 0;
 //[descLabel sizeToFit];
 [cell.contentView addSubview:descLabel];
 
 
 }



/*if (tableView == self.searchDisplayController.searchResultsTableView) {
 //NSLog(@"estoy aqui y el contenido de searchResults es este: %@",searchResults);
 //NSDictionary *dict = searchResults;
 //cell.textLabel.text =[searchResults objectAtIndex:indexPath.row];
 //[searchResults objectAtIndex:indexPath.row];
 //cell.textLabel.text = [dict objectForKey:@"codigo"];
 //cell.detailTextLabel.text = [dict objectForKey:@"name"];
 //NSLog(@"contenido de searchResults: %ld",(long)indexPath.row);
 
 
 NSDictionary *dict = [rows objectAtIndex: indexPath.row];
 //cell.textLabel.text = [rows objectAtIndex:indexPath.row];
 cell.textLabel.text = [dict objectForKey:@"name"];
 cell.detailTextLabel.text = [dict objectForKey:@"codbarras"];
 titLabel.text = [dict objectForKey:@"codigo"];
 descLabel.text = [dict objectForKey:@"precio"];
 
 
 
 } else {
 
 NSDictionary *dict = [rows objectAtIndex: indexPath.row];
 //cell.textLabel.text = [rows objectAtIndex:indexPath.row];
 cell.textLabel.text = [dict objectForKey:@"name"];
 cell.detailTextLabel.text = [dict objectForKey:@"codbarras"];
 titLabel.text = [dict objectForKey:@"codigo"];
 descLabel.text = [dict objectForKey:@"precio"];
 //descLabel1.text = [dict objectForKey:@"unidad"];
 
 
 }*/
/*
 NSDictionary *dict = [rows objectAtIndex: indexPath.row];
 cell.textLabel.text = [dict objectForKey:@"name"];
 cell.detailTextLabel.text = [dict objectForKey:@"codbarras"];
 titLabel.text = [dict objectForKey:@"codigo"];
 descLabel.text = [dict objectForKey:@"precio"];
 NSLog(@"Paso por cellForRowAtIndexPath");
 
 
 return cell;
 
 }*/



@end
