//
//  VCLogin.m
//  ControlStock
//
//  Created by Marcos on 6/1/13.
//  Copyright (c) 2013 Marcos. All rights reserved.
//

#import "VCLogin.h"
#import "CJSONDeserializer.h"
#import "MainTableViewController.h"
#import "AppDelegate.h"

@interface VCLogin ()

@end

@implementation VCLogin

@synthesize txtLogin, txtPassword;
@synthesize rows;


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)login:(id)sender
{
    if([[txtLogin text] isEqualToString:@""]||[[txtPassword text] isEqualToString:@""]) {
        NSString *alertString = [NSString stringWithFormat:@"Introduzca el usuario y la password"];
        UIAlertView *alert = [[UIAlertView alloc] initWithTitle:alertString message:@"" delegate:self cancelButtonTitle:@"Aceptar" otherButtonTitles:nil];
        [alert show];
        //[self alertStatus:@"Formulario incompleto" :@"Introduzca todos los valores"];
    } else {
        // create string contains url address for php file, the file name is phpFile.php, it receives parameter :name
        NSString *strURL = [NSString stringWithFormat:@"http://pruebamarcos.xtrweb.com/login.php?usuario=%@&password=%@",[txtLogin.text stringByAddingPercentEscapesUsingEncoding:NSUTF8StringEncoding], [txtPassword.text stringByAddingPercentEscapesUsingEncoding:NSUTF8StringEncoding], nil];
        
        NSURL *url = [NSURL URLWithString:strURL];
        
        NSLog(@"%@", url);
        
        
        NSString *jsonreturn = [[NSString alloc] initWithContentsOfURL:url]; // Pulls the URL
        NSLog(@"El valor de jsonreturn es:%@",jsonreturn); // Look at the console and you can see what the restults are
        
        
        NSData *jsonData = [jsonreturn dataUsingEncoding:NSUTF32BigEndianStringEncoding];
        NSError *error = nil;
        
        // In "real" code you should surround this with try and catch
        NSDictionary * dict = [[CJSONDeserializer deserializer] deserializeAsDictionary:jsonData error:&error];
        
        NSLog(@"El valor de error es:%@",error);
        
        if (error == nil)
        {
            if (dict)
            {
                rows = [[dict objectForKey:@"login"] retain];
            }
            
            NSDictionary *dictnuevo = [rows objectAtIndex:0];
            AppDelegate *appDelegate = (AppDelegate *)[[UIApplication sharedApplication] delegate];
            appDelegate.IdPasado = [dictnuevo objectForKey:@"id"];
            appDelegate.UsuarioPasado=txtLogin.text;
            
          
            NSLog(@"El valor de usuariopasado es:%@",appDelegate.UsuarioPasado);
            
            [self performSegueWithIdentifier:@"SegLogin" sender:self];
            

            
            txtLogin.text=NULL;
            txtPassword.text=NULL;
            
            //[self cambiarPantalla];
            
            
        }
        else{
            
            
            NSString *alertString = [NSString stringWithFormat:@"Usuario no encontrado"];
            UIAlertView *alert = [[UIAlertView alloc] initWithTitle:alertString message:@"" delegate:self cancelButtonTitle:@"Aceptar" otherButtonTitles:nil];
            [alert show];
            
            txtLogin.text=NULL;
            txtPassword.text=NULL;
            
            
        }
        
    }
}

/*
- (void) cambiarPantalla{
    
    MainTableViewController *controller = [self.storyboard instantiateViewControllerWithIdentifier:@"MainTableViewController"];
    controller.modalTransitionStyle = UIModalTransitionStyleCoverVertical;
    [self VCLogin:controller animated:YES];
}
*/


@end
